Subject: [bug#63424] GNOME tracker does not work with tracker-miners

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 10 May 2023 21:50:25 +0200

Hi Sughosha,

Am Mittwoch, dem 10.05.2023 um 17:33 +0000 schrieb Sughosha:
> GNOME "tracker" is built with "libexecdir" in its own prefix in the
> store and "tracker-miners" in its own. The problem is that "tracker"
> does not have access to the executable files in the "libexecdir" of
> "tracker-miners", so commands like "tracker3 extract file.flac" does
> not work. Due to this problem GNOME Music cannot list FLAC files (I
> don't know how it listed my MP3 file). As per this issue
> <https://gitlab.gnome.org/GNOME/gnome-music/-/issues/522>, "tracker3
> extract" should work for GNOME Music to show FLAC files.
The problem here is that the tracker CLI searches these commands in a
hardcoded directory.  Instead of doing that, it should be using a
search path for libexec/tracker3.

Cheers